import { AngularFireLiteApp } from '../core.service';
import { messaging } from 'firebase/app';
import { Observable, Subject } from 'rxjs';
export declare class AngularFireLiteMessaging {
    private app;
    private platformId;
    private readonly messaging;
    private readonly browser;
    constructor(app: AngularFireLiteApp, platformId: Object);
    instance(): messaging.Messaging;
    token(): Observable<any>;
    tokenRefresh(): Subject<any>;
    requestPermission(): Observable<any>;
    deleteToken(token: string): Observable<any>;
}
